Browser requirements

Quotient has a whole lot of whizz-bang baked right into the app which requires a modern web browser, whether it be on a desktop, laptop or tablet we recommend the following browsers...

browsers.png

Quotient may not work so well in beta or pre-release browsers, so please stick to the latest commercial versions for the best experience.

Browser requirements for customers

Viewing and accepting quotes works in most browsers from Internet Explorer 8+

Was this article helpful?
3 out of 3 found this helpful
Follow
Have more questions? Contact Support
Powered by Zendesk